Skip to main content
Maintenance / Imports

Upload a Maintanance Import file

This method requires the MaintenanceImports:Upload permission to be associated with your role.

POST
/fm/maintenance-imports/upload
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Time-Zonestringheaderdefault:UTC

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

multipart/form-data
datastringrequired

Data to upload

override_warnings_flagenum<string>default:no

If set to 'yes', warning will be suppressed and file will be uploaded.

Available options: yes, no

Response

application/json

Success

error_report_uristring

(Optional) URI to error report if import status is invalid.

Example: https://catch-e-interface.s3.ap-southeast-2.amazonaws.com/live/example/maintenace-import/123456?X-Amz-Content-Sha256=UNSIGNED-PAYLOAD&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=ZKIBIA46LLA7H5KN5S4Q%2F20190201%2Fap-southeast-2%2Fs3%2Faws4_request&X-Amz-Date=20190201T045824Z&X-Amz-SignedHeaders=host&X-Amz-Expires=300&X-Amz-Signature=6dcb136a7e0d285419ec8f88602785df41dc0036df8657bbc6e20309d3f3d5ba
interface_batch_nostring
rows_importedinteger

(Optional) Number of rows imported.

rows_invalidinteger

(Optional) Number of rows marked invalid.

rows_validinteger

(Optional) Number of rows marked valid.

statusenum<string>
Available options: pending, invalid
Example: pending